# Class SepaInstantAccountPayload

#### Hierarchy

- unknown
  - SepaInstantAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:4406
- Defined in src/protobuf/pb_pb.d.ts:4424

#####
Index

### Constructors

constructor

### Methods

getBic
getHolderName
getIban
serializeBinary
setBic
setHolderName
setIban
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new SepaInstantAccountPayload(): SepaInstantAccountPayload

- #### Returns SepaInstantAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getBic

- getBic(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4413

### getHolderName

- getHolderName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4407

### getIban

- getIban(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4410

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:4416

### setBic

- setBic(value: string): SepaInstantAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns SepaInstantAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4414

### setHolderName

- setHolderName(value: string): SepaInstantAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns SepaInstantAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4408

### setIban

- setIban(value: string): SepaInstantAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns SepaInstantAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4411

### toObject

- toObject(includeInstance?: boolean): SepaInstantAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns SepaInstantAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4417

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): SepaInstantAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SepaInstantAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4420

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SepaInstantAccountPayload, reader: BinaryReader): SepaInstantAccountPayload

- #### Parameters

  - ##### message: SepaInstantAccountPayload

  - ##### reader: BinaryReader

  #### Returns SepaInstantAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4421

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: SepaInstantAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: SepaInstantAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:4419

### `Static` toObject

- toObject(includeInstance: boolean, msg: SepaInstantAccountPayload): SepaInstantAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SepaInstantAccountPayload

  #### Returns SepaInstantAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4418

Generated using TypeDoc